%bcond_without perl_Digest_SHA_enables_digest_base

Name:           perl-Digest-SHA
Epoch:          1
Version:        6.02
Release:        7
Summary:        Perl extension for SHA-1/224/256/384/512
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Digest-SHA
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSHELOR/Digest-SHA-%{version}.tar.gz
BuildRequires:  coreutils findutils gcc make perl-devel perl-generators perl-interpreter 
BuildRequires:  perl(Config) perl(ExtUtils::MakeMaker) perl(Getopt::Std) perl(strict) perl(vars)
BuildRequires:  perl(Carp) perl(Exporter) perl(Fcntl) perl(integer) perl(warnings) perl(XSLoader)
%if %{with perl_Digest_SHA_enables_digest_base}
BuildRequires:  perl(Digest::base)
%endif
BuildRequires:  perl(FileHandle)
%if %{with perl_Digest_SHA_enables_optional_test}
%if !%{defined perl_bootstrap}
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 0.08
%endif
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp)
%if %{with perl_Digest_SHA_enables_digest_base}
Requires:       perl(Digest::base)
%endif
Requires:       perl(XSLoader)

%{?perl_default_filter}

%description
Digest::SHA is a complete implementation of the NIST Secure Hash Standard. It
gives Perl programmers a convenient way to calculate SHA-1, SHA-224, SHA-256,
SHA-384, SHA-512, SHA-512/224, and SHA-512/256 message digests. The module can
handle all types of input, including partial-byte data.

%package_help

%prep
%autosetup -n Digest-SHA-%{version} -p1
chmod -x examples/*
perl -MExtUtils::MakeMaker -e 'ExtUtils::MM_Unix->fixin(q{examples/dups})'

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE='%{optflags}'
%{make_build}

%install
make pure_install DESTDIR='%{buildroot}'
find '%{buildroot}' -type f -name '*.bs' -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes examples/ README
%{_bindir}/shasum
%{perl_vendorarch}/auto/Digest/
%{perl_vendorarch}/Digest/

%files help
%{_mandir}/*/shasum.1*
%{_mandir}/*/Digest::SHA.3*

%changelog
* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1:6.02-7
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: remove unnecessary files

* Sun Sep 29 2019 yefei <yefei25@huawei.com> - 1:6.02-6
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete irrelevant comment

* Thu Sep 14 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:6.02-5
- Package init
